### Method

# Adw Leaflet get_child_by_name

deprecated: 1.4

#### Declaration [src]

    GtkWidget*
    adw_leaflet_get_child_by_name (
      AdwLeaflet* self,
      const char* name
    )

#### Description [src]

Finds the child of `self` with `name`.

Returns `NULL` if there is no child with this name.

See `AdwLeafletPage:name`.

Deprecated since: 1.4

See the migration guide

#### Parameters

`name`

  Type: `const char*`

  The name of the child to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The requested child of `self`.

The data is owned by the instance.
The return value can be `NULL`.